OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockDestinationPathManager

    java.lang.Object
      org.opennms.netmgt.config.DestinationPathManager
          org.opennms.netmgt.notifd.mock.MockDestinationPathManager

public class MockDestinationPathManager
extends DestinationPathManager

Author:
  david hustace <david@opennms.org>

Field Summary

Fields inherited from class org.opennms.netmgt.config.DestinationPathManager
`configIn`

Constructor Summary
`MockDestinationPathManager(java.lang.String xmlString)`

Method Summary
`protected void` `saveXML(java.lang.String writerString)`
`void` `update()`

Methods inherited from class org.opennms.netmgt.config.DestinationPathManager
`addPath, getPath, getPaths, getTargetCommands, getTargetList, parseXML, pathHasTarget, removePath, removePath, replacePath, saveCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockDestinationPathManager

    public MockDestinationPathManager(java.lang.String xmlString)
                               throws org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

Method Detail

### saveXML

    protected void saveXML(java.lang.String writerString)
                    throws java.io.IOException

  Specified by:
    `saveXML` in class `DestinationPathManager`
  Parameters:
    `writerString` -
  Throws:
    `java.io.IOException`

### update

    public void update()
                throws java.io.IOException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException,
                       java.io.FileNotFoundException

  Specified by:
    `update` in class `DestinationPathManager`
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `org.exolab.castor.xml.ValidationException`
    `org.exolab.castor.xml.MarshalException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.